For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://api-doc-new.gideononline.com/gideon-api-1-0/diseases/llms.txt. For full documentation content, see https://api-doc-new.gideononline.com/gideon-api-1-0/diseases/llms-full.txt.

# /diseases/outbreaks/news

GET https://api.gideononline.com/diseases/outbreaks/news

Returns curated disease outbreak news articles, ordered by outbreak date (newest first).

#### **Query parameters**

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `count` | integer | No. Default = 20 | Maximum number of articles when `days` is **not** used. Capped at **100** (larger values are treated as 100). |
| `days` | integer | No | If set, only articles added to the feed within the last `days` days are returned (maximum effective window **20** days). When `days` is set, `count` is **not** applied. |

#### **Response**

JSON object with a `data` array. Typical fields per article include disease and country names and codes, location (state, city, admin areas), dates, title, source, URL, case counts, summary (`abstract`), and related labels.

Reference: https://api-doc-new.gideononline.com/gideon-api-1-0/diseases/diseases-outbreaks-news

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /diseases/outbreaks/news:
    get:
      operationId: diseases-outbreaks-news
      summary: /diseases/outbreaks/news
      description: >-
        Returns curated disease outbreak news articles, ordered by outbreak date
        (newest first).


        #### **Query parameters**


        | Name | Type | Required | Description |

        | --- | --- | --- | --- |

        | `count` | integer | No. Default = 20 | Maximum number of articles when
        `days` is **not** used. Capped at **100** (larger values are treated as
        100). |

        | `days` | integer | No | If set, only articles added to the feed within
        the last `days` days are returned (maximum effective window **20**
        days). When `days` is set, `count` is **not** applied. |


        #### **Response**


        JSON object with a `data` array. Typical fields per article include
        disease and country names and codes, location (state, city, admin
        areas), dates, title, source, URL, case counts, summary (`abstract`),
        and related labels.
      tags:
        - subpackage_diseases
      parameters:
        - name: count
          in: query
          description: >-
            Maximum rows returned when `days` is omitted. Default is 20. Not
            applied when `days` is provided (all approved matches in the window
            are returned).
          required: false
          schema:
            type: integer
        - name: days
          in: query
          description: >-
            Optional. Only include articles added to the feed within the last N
            days. Values above 20 are treated as 20; values below 1 are ignored
            (same as omitting `days`).
          required: false
          schema:
            type: integer
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Diseases_/diseases/outbreaks/news_Response_200
servers:
  - url: https://api.gideononline.com
  - url: https://api-test.gideononline.com
components:
  schemas:
    DiseasesOutbreaksNewsGetResponsesContentApplicationJsonSchemaDataItems:
      type: object
      properties:
        url:
          type: string
          format: uri
        city:
          type: string
        cases:
          type: integer
        state:
          description: Any type
        title:
          type: string
        deaths:
          description: Any type
        country:
          type: string
        disease:
          type: string
        abstract:
          type: string
        news_source:
          type: string
        admin_1_name:
          description: Any type
        admin_2_name:
          description: Any type
        admin_3_name:
          description: Any type
        animal_cases:
          description: Any type
        country_code:
          type: string
        disease_code:
          type: integer
        animal_deaths:
          description: Any type
        publication_date:
          type: string
          format: date
        outbreak_first_reported:
          type: string
          format: date
      required:
        - url
        - city
        - cases
        - title
        - country
        - disease
        - abstract
        - news_source
        - country_code
        - disease_code
        - publication_date
        - outbreak_first_reported
      title: DiseasesOutbreaksNewsGetResponsesContentApplicationJsonSchemaDataItems
    Diseases_/diseases/outbreaks/news_Response_200:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/DiseasesOutbreaksNewsGetResponsesContentApplicationJsonSchemaDataItems
      required:
        - data
      title: Diseases_/diseases/outbreaks/news_Response_200
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

```

## SDK Code Examples

```python Diseases_/diseases/outbreaks/news_example
import requests

url = "https://api.gideononline.com/diseases/outbreaks/news"

querystring = {"count":"20","days":"7"}

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Diseases_/diseases/outbreaks/news_example
const url = 'https://api.gideononline.com/diseases/outbreaks/news?count=20&days=7';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Diseases_/diseases/outbreaks/news_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.gideononline.com/diseases/outbreaks/news?count=20&days=7"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Diseases_/diseases/outbreaks/news_example
require 'uri'
require 'net/http'

url = URI("https://api.gideononline.com/diseases/outbreaks/news?count=20&days=7")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Diseases_/diseases/outbreaks/news_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.gideononline.com/diseases/outbreaks/news?count=20&days=7")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php Diseases_/diseases/outbreaks/news_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.gideononline.com/diseases/outbreaks/news?count=20&days=7', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Diseases_/diseases/outbreaks/news_example
using RestSharp;

var client = new RestClient("https://api.gideononline.com/diseases/outbreaks/news?count=20&days=7");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Diseases_/diseases/outbreaks/news_example
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.gideononline.com/diseases/outbreaks/news?count=20&days=7")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```